Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

[SOLVED] RC Signal Lost after update to firmware 1.08.0080

Discussion in 'Pro/Adv Discussion' started by simistef, Apr 13, 2016.

  1. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    Hi guys,

    I own a Phantom 3 Advanced for 1 year now, and i used it for almost 100 flights. Now i upgraded to 1.08.0080 firmware just like i always do, put firmware on formated SD card, and everything went fine, although a bit too long.

    Now, when i open the DJI GO 2.7.1 app on iOS i am getting the message : "RC Signal Lost" which i cannot pass trough.

    Also i tried to do a downgrade, but unfortunatelly it does not work. This are the logs from the SD card:

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.08.0080.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.


    Any ideas how can i fix this ? I tried to reinstall and install the DJI Go app, also relinked the RC to aircraft but nothing.
     
  2. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
  3. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    No, it does not work. Update wont start again no matter what i do. On both RC and bird ...
     
    #3 simistef, Apr 13, 2016
    Last edited: Apr 13, 2016
  4. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
    Please post the complete log from your memory card.
     
  5. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    OK, i put firmware 1.07.60 on a brand new SD card and seems to have worked:

    Delete history success.

    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Upgrading ...
    Result: Success.



    For some reason the history was deleted ? Maybe because i have changed the card ?

    Anyway, now i am having the same problem: RC Signal Lost.
    Also in the DJI Go App there is nothing displayed under RC and Aircraft versions
     
  6. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
    If you upgraded the firmware on your remote controller to 1.6, you'll need to install 1.8 on your Phantom. Otherwise, the versions will be mismatched and you'll see that no signal error.
     
  7. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    The last time i have upgraded the remote controller firmware, was when i installed the firmware 1.07. And i did that trough the DJI Go app.

    After upgrading aircraft to firmware 1.8 it did not asked me for any RC updates.

    I am quite terrified to do the upgrade again to 1.8 to my bird ...
     
  8. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    ok, so now i am almost to freak out. i put the 1.8 firmware on the card and this is what i get (please see last two lines as this is the entire history)

    Delete history success.

    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Upgrading ...
    Result: Success.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:11 remo-con disconnect======
    Packet: P3S_FW_V01.08.0080.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.
     
  9. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
    Did you delete all of the files on your memory card before putting the 1.8 BIN file on it?
     
  10. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    Yes, i did a format every time before copying the new firmware. On old and new card.

    How could i have bricked my bird ? After 1 year of doing constant updates ?
     
  11. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
    What do you see in the About section of DJI GO now?
     
  12. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    Version

    App 2.71
    Aircraft Version Unknown
    RC Version Unknown
     
  13. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,921
    Likes Received:
    5,573
    Location:
    US
    Try reinstalling the DJI GO app. Then, check the About section again.
     
  14. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    I did that 3 times now. I am trying to use another device (like Android, but i need to charge it as it has been in the drawer). Now i am unsure what version actually is on the bird ..

    Bad Karma, or what ? :(
     
  15. chazz

    Joined:
    Sep 20, 2014
    Messages:
    125
    Likes Received:
    34
    You may know this but did you push where it says "No Signal" in the Dji go app...
     
  16. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    I did, but i have no options in there ....
     
  17. Heisnuts

    Joined:
    Jan 30, 2016
    Messages:
    63
    Likes Received:
    20
    I had this exact same thing happen to me. The fix was to update the bird first and then the RC. It worked OK then went to upgrade needed so I updated the RC again (since the version went back to unknown) and then it worked OK again.

    It seems that the RC Update does not always "stick" and has to be updated again.
     
  18. shockwave199

    Joined:
    Dec 19, 2014
    Messages:
    1,066
    Likes Received:
    405
    If you have 1.8 on the bird you absolutely must have the newest 1.6 update on the rc as well. Get the bird to 1.8 first. And then remove the card and turn the bird off and keep it off.

    Install the newest version of the go app and while on wifi, keep checking for the new 1.6 rc update. Keep force closing and reopening the app until it comes through. When it does, update the rc. Then power on everything and hopefully all is well.
     
  19. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    this is as i have always done the upgrade: first on the bird itself without the RC, and then the RC via the App when it was asking for it. as said i did the RC update when i installed the 1.7 firmware to the bird and worked fine.
     
  20. simistef

    Joined:
    Sep 2, 2014
    Messages:
    30
    Likes Received:
    2
    Please look on post #8. What firmware version am I ? The last success seems to be the downgrade to 1.7, but i cannot upgrade to 1.8 anymore now.